Bug 607082 - Fedora 13 locks completely when browsing LinkedIn pages in Firefox
Fedora 13 locks completely when browsing LinkedIn pages in Firefox
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 03:32 EDT by Răzvan Sandu
Modified: 2010-11-29 12:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-29 12:13:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2010-06-23 03:32:09 EDT
Description of problem:


While browsing LinkedIn pages (http://www.linkedin.com) in F13's Firefox, system completely hangs, needing cold reset. This happens regularly...

On the same system, in exactly same conditions, this issue won't occur in other browsers, such as Google Chrome or Opera.

Hardware is a Dell 1520 laptop (smolt profile here http://www.smolts.org/client/show/pub_383c0d06-00d7-453f-9172-ba2759a5ccc6)


Version-Release number of selected component (if applicable):
firefox-3.6.3-4.fc13.x86_64 (menus in Romanian)
kernel-2.6.33.5-124.fc13.x86_64


How reproducible:
Happens randomly, but pretty often.


Steps to Reproduce:
1. Install stock F13
2. Visit http://www.linkedin.com and log into account
3. Browse internal pages for awhile.
  
Actual results:
System unexpectedly locks, leaving no other posibility to escape than cold reset.

Expected results:
Browsing should perform normally.



Thanks,
Răzvan
Comment 1 Bug Zapper 2010-07-30 08:12:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 d. johnson 2010-08-17 14:24:59 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Răzvan Sandu 2010-08-20 04:10:56 EDT
Thanks !

I may confirm that the bug is still present as of August 20, 2010: LinkedIn pages suddenly "freeze" in F13's Firefox (bringing down the whole system, no other possibility to escape), especially when refreshing pages. I still have to use Chrome for accessing LinkedIn.

Răzvan
Comment 4 d. johnson 2010-08-20 08:14:24 EDT
You say "now", but did not list what you have upgraded to.

The version for this bug now says 14, but the subject is still 13.  The versions listed are all old.  Could you please clarify exactly what you are using?

Thanks


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Răzvan Sandu 2010-08-20 08:38:20 EDT
Sorry, I don't know how it arrived to be "14". The bug is/was meant for Fedora 13 + all official online updates, up to day.

I am using stock Fedora 13 (x86_64) on a Dell Inspiron 1520 laptop.

Thanks a lot,
Răzvan
Comment 6 d. johnson 2010-08-20 10:15:07 EDT
Could you please run "rpm -q firefox xulrunner cairo pango" and provide the output ?

Have you disabled your plugins ?  Specifically, is Flash enabled ?  When you go to the url bar and type "about:plugins" which ones are loaded ?

Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Răzvan Sandu 2010-08-21 08:21:23 EDT
Hello, here's the output:

[root@mycomputer ~]# rpm -q firefox xulrunner cairo pango
firefox-3.6.7-1.fc13.x86_64
xulrunner-1.9.2.7-2.fc13.x86_64
cairo-1.8.10-1.fc13.x86_64
cairo-1.8.10-1.fc13.i686
pango-1.28.0-1.fc13.x86_64
pango-1.28.0-1.fc13.i686


No, I haven't disabled flash, since the vast majority of software sites requires it, including YouTube (still).


The plugins are... a lot :) - copy & paste from about:plugins (in Romanian):

Plugin-uri instalate
Mai multe informații despre plugin-uri de navigatoare puteți găsi la mozilla.org.
Pentru instalare de plugin-uri puteți găsi ajutor la plugindoc.mozdev.org.
VLC Multimedia Plugin (compatible Totem 2.30.2)

    Fișier: libtotem-cone-plugin.so
    Versiune: 
    The Totem 2.30.2 plugin handles video and audio streams.

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-vlc-plugin 	VLC Multimedia Plugin 		Da
application/vlc 	VLC Multimedia Plugin 		Da
video/x-google-vlc-plugin 	VLC Multimedia Plugin 		Da
application/x-ogg 	Ogg multimedia file 	ogg 	Da
application/ogg 	Ogg multimedia file 	ogg 	Da
audio/ogg 	Ogg Audio 	oga 	Da
audio/x-ogg 	Ogg Audio 	ogg 	Da
video/ogg 	Ogg Video 	ogv 	Da
video/x-ogg 	Ogg Video 	ogg 	Da
application/annodex 	Annodex exchange format 	anx 	Da
audio/annodex 	Annodex Audio 	axa 	Da
video/annodex 	Annodex Video 	axv 	Da
video/mpeg 	MPEG video 	mpg, mpeg, mpe 	Da
audio/wav 	WAV audio 	wav 	Da
audio/x-wav 	WAV audio 	wav 	Da
audio/mpeg 	MP3 audio 	mp3 	Da
application/x-nsv-vp3-mp3 	NullSoft video 	nsv 	Da
video/flv 	Flash video 	flv 	Da
application/x-totem-plugin 	Totem Multimedia plugin 		Da
audio/midi 	MIDI audio 	mid, midi 	Da
Windows Media Player Plug-in 10 (compatible; Totem)

    Fișier: libtotem-gmp-plugin.so
    Versiune: 
    The Totem 2.30.2 plugin handles video and audio streams.

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-mplayer2 	AVI video 	avi, wma, wmv 	Da
video/x-ms-asf-plugin 	ASF video 	asf, wmv 	Da
video/x-msvideo 	AVI video 	asf, wmv 	Da
video/x-ms-asf 	ASF video 	asf 	Da
video/x-ms-wmv 	Windows Media video 	wmv 	Da
video/x-wmv 	Windows Media video 	wmv 	Da
video/x-ms-wvx 	Windows Media video 	wmv 	Da
video/x-ms-wm 	Windows Media video 	wmv 	Da
video/x-ms-wmp 	Windows Media video 	wmv 	Da
application/x-ms-wms 	Windows Media video 	wms 	Da
application/x-ms-wmp 	Windows Media video 	wmp 	Da
application/asx 	Microsoft ASX playlist 	asx 	Da
audio/x-ms-wma 	Windows Media audio 	wma 	Da
DivX® Web Player

    Fișier: libtotem-mully-plugin.so
    Versiune: 
    DivX Web Player version 1.4.0.233

Tip MIME 	Descriere 	Sufixe 	Activ
video/divx 	AVI video 	divx 	Da
QuickTime Plug-in 7.6.6

    Fișier: libtotem-narrowspace-plugin.so
    Versiune: 
    The Totem 2.30.2 plugin handles video and audio streams.

Tip MIME 	Descriere 	Sufixe 	Activ
video/quicktime 	QuickTime video 	mov 	Da
video/mp4 	MPEG-4 video 	mp4 	Da
image/x-macpaint 	MacPaint Bitmap image 	pntg 	Da
image/x-quicktime 	Macintosh Quickdraw/PICT drawing 	pict, pict1, pict2 	Da
video/x-m4v 	MPEG-4 video 	m4v 	Da
iTunes Application Detector

    Fișier: librhythmbox-itms-detection-plugin.so
    Versiune: 
    This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.

Tip MIME 	Descriere 	Sufixe 	Activ
application/itunes-plugin 			Da
NPAPI Plugins Wrapper 1.3.0

    Fișier: npwrapper.so
    Versiune: 
    nspluginwrapper is a cross-platform NPAPI plugin viewer, in particular for linux/i386 plugins.
    This beta software is available under the terms of the GNU General Public License.

Tip MIME 	Descriere 	Sufixe 	Activ
unknown/mime-type 	Do not open 	none 	Da
Shockwave Flash

    Fișier: nswrapper_64_64.libflashplayer.so
    Versiune: 
    Shockwave Flash 10.0 r45

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-shockwave-flash 	Shockwave Flash 	swf 	Da
application/futuresplash 	FutureSplash Player 	spl 	Da
Shockwave Flash

    Fișier: nswrapper_64_64.libgnashplugin.so
    Versiune: 
    Shockwave Flash 10.1 r999. Gnash 0.8.7, the GNU SWF Player. Copyright (C) 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc.
    Gnash comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of Gnash under the terms of the GNU General Public License. For more information about Gnash, see http://www.gnu.org/software/gnash. Compatible Shockwave Flash 10.1 r999.

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-shockwave-flash 	Shockwave Flash 	swf 	Da
VLC Multimedia Plug-in

    Fișier: nswrapper_64_64.libvlcplugin.so
    Versiune: 
    Version 1.0.6 Goldeneye, copyright 1996-2007 The VideoLAN Team
    http://www.videolan.org/

Tip MIME 	Descriere 	Sufixe 	Activ
audio/mpeg 	MPEG audio 	mp2,mp3,mpga,mpega 	Da
audio/x-mpeg 	MPEG audio 	mp2,mp3,mpga,mpega 	Da
video/mpeg 	MPEG video 	mpg,mpeg,mpe 	Da
video/x-mpeg 	MPEG video 	mpg,mpeg,mpe 	Da
video/mpeg-system 	MPEG video 	mpg,mpeg,mpe,vob 	Da
video/x-mpeg-system 	MPEG video 	mpg,mpeg,mpe,vob 	Da
audio/x-mpegurl 	MPEG audio 	m3u 	Da
video/mp4 	MPEG-4 video 	mp4,mpg4 	Da
audio/mp4 	MPEG-4 audio 	mp4,mpg4 	Da
audio/x-m4a 	MPEG-4 audio 	m4a 	Da
application/mpeg4-iod 	MPEG-4 video 	mp4,mpg4 	Da
application/mpeg4-muxcodetable 	MPEG-4 video 	mp4,mpg4 	Da
video/x-msvideo 	AVI video 	avi 	Da
video/quicktime 	QuickTime video 	mov,qt 	Da
application/x-ogg 	Ogg stream 	ogg 	Da
application/ogg 	Ogg stream 	ogg 	Da
application/x-vlc-plugin 	VLC plug-in 	vlc 	Da
video/x-ms-asf-plugin 	Windows Media Video 	asf,asx 	Da
video/x-ms-asf 	Windows Media Video 	asf,asx 	Da
application/x-mplayer2 	Windows Media 		Da
video/x-ms-wmv 	Windows Media 	wmv 	Da
video/x-ms-wvx 	Windows Media Video 	wvx 	Da
audio/x-ms-wma 	Windows Media Audio 	wma 	Da
application/x-google-vlc-plugin 	Google VLC plug-in 		Da
audio/wav 	WAV audio 	wav 	Da
audio/x-wav 	WAV audio 	wav 	Da
audio/3gpp 	3GPP audio 	3gp,3gpp 	Da
video/3gpp 	3GPP video 	3gp,3gpp 	Da
audio/3gpp2 	3GPP2 audio 	3g2,3gpp2 	Da
video/3gpp2 	3GPP2 video 	3g2,3gpp2 	Da
video/divx 	DivX video 	divx 	Da
video/flv 	FLV video 	flv 	Da
video/x-flv 	FLV video 	flv 	Da
video/x-matroska 	Matroska video 	mkv 	Da
audio/x-matroska 	Matroska audio 	mka 	Da
application/xspf+xml 	Playlist xspf 	xspf 	Da
IcedTea NPR Web Browser Plugin (using IcedTea6 1.8.1 (fedora-42.b18.fc13-x86_64))

    Fișier: IcedTeaPlugin.so
    Versiune: 
    The IcedTea NPR Web Browser Plugin (using IcedTea6 1.8.1 (fedora-42.b18.fc13-x86_64)) executes Java applets.

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-java-vm 	IcedTea 	class,jar 	Da
application/x-java-applet 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.1 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.1.1 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.1.2 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.1.3 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.2 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.2.1 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.2.2 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.3 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.3.1 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.4 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.4.1 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.4.2 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.5 	IcedTea 	class,jar 	Da
application/x-java-applet;version=1.6 	IcedTea 	class,jar 	Da
application/x-java-applet;jpi-version=1.6.0_18 	IcedTea 	class,jar 	Da
application/x-java-bean 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.1 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.1.1 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.1.2 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.1.3 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.2 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.2.1 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.2.2 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.3 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.3.1 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.4 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.4.1 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.4.2 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.5 	IcedTea 	class,jar 	Da
application/x-java-bean;version=1.6 	IcedTea 	class,jar 	Da
application/x-java-bean;jpi-version=1.6.0_18 	IcedTea 	class,jar 	Da
Shockwave Flash

    Fișier: nswrapper_32_64.libflashplayer.so
    Versiune: 
    Shockwave Flash 10.1 r82

Tip MIME 	Descriere 	Sufixe 	Activ
application/x-shockwave-flash 	Shockwave Flash 	swf 	Da
application/futuresplash 	FutureSplash Player 	spl 	Da


Thanks,
Răzvan
Comment 8 d. johnson 2010-08-21 14:03:38 EDT
Flash is the major contributor of crashes.  It is closed source, and we cannot troubleshoot it.

Please try to recreate your issue above without flash.  If you cannot do so, I'm afraid we are unable to assist.
Comment 9 Răzvan Sandu 2010-11-29 12:13:42 EST
It works now, I'm closing it.

Many thanks,
Răzvan

Note You need to log in before you can comment on or make changes to this bug.